SUNDAZEL(1)

NAME
sundazel - Compute the time of Solar passage

SYNOPSIS
sundazel [<option>] [<yyyymmdd>]

DESCRIPTION
sundazel computes the local time of the Sun's passage through the specified apparent longitude or latitude in a user-defined coordinate system, for the specified location on the specified date (default today).

The Sun's apparent hour angle, azimuth, elevation, and the longitude and latitude in user coordinates are also printed, in degrees. Refraction is accounted for.

sundazel may also be used to compute the time of sunrise and set, the Sun's right ascension and declination, and the Equation of Time.

OPTIONS

-p <option>

    The Solar passage required and, if relevant, the coordinate value in degrees:

sunrise
    Sunrise.

sunset
    Sunset.

lng=<lng>
    Longitude of the Sun in the user-defined coordinate system.

lat=<lat>
    Latitude of the Sun in the user-defined coordinate system.

-l <lng>,<lat>

    Longitude and latitude of the observer.

-t <tz>

    The observer's time zone, positive east of Greenwich (hr).

-u <az>,<el>,<zlng>

    Azimuth and elevation of the pole of the user-defined coordinate system, and the longitude of the zenith (deg). See below.

-n  Set the user-defined coordinate system as one with pole due north on the horizon, with zero of longitude at the zenith.

-w  Set the user-defined coordinate system as one with pole due west on the horizon, with zero of longitude at the zenith.

-v  Also print the Sun's right ascension, declination (deg), and the Equation of Time (min).

The user-defined coordinate system is a right-handed spherical coordinate system with its pole at the specified azimuth and elevation, and with zenith having the specified longitude. If omitted, the default is a right-handed system with its pole at the zenith and prime meridian due north, i.e. similar to azimuth and elevation except that longitude increases in the reverse sense to azimuth, i.e. from north through west rather than north through east.

Setting a range of azimuth or elevation often provides a poor criterion for timing the passage of the Sun, for example in determining when it shines directly through a skylight, or when an awning casts a shadow on a particular point on the ground. In such cases the projection of the skylight or awning from the ground onto the sky should be considered. Some other coordinate system may provide a better fit to the region of the sky thereby defined. For example, the passage of the Sun across a skylight oriented at azimuth alpha might be handled via a coordinate system with pole on the horizon at that azimuth and considering the Sun's passage through a range of longitude in this system. Perhaps better might be to use a coordinate system with pole at alpha-90 and considering a range of latitude.

Sunrise and sunset correspond to first/last contact of the Sun's limb on the horizon, corresponding to apparent elevation -0.27 deg (true elevation -0.79 deg). If no options are specified, the default is to calculate the time of sunset. If more than one p option is specified, only the last is effective.